#ifndef XGAMEWORLDSP_H
#define XGAMEWORLDSP_H

#include "xasset.h"
#include "xpathdata.h"
#include "xstring.h"

class XGameWorldSp : public XAsset
{
public:
    explicit XGameWorldSp();
    ~XGameWorldSp();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XString mName;
    XPathData mPath;
};

#endif // XGAMEWORLDSP_H

